# Dadou - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kdeartwork
Summary: 	Kdeartwork
Version: 	2.2.2
Release: 	3mdk
URL:            http://www.kde.org/
Source0: 	%name-%version.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

%if %buildfor7_2
BuildRequires:	gcc-c++
%endif

%if %buildfor8_0
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel qt2-static-libraries
BuildRequires:	rpm-build libSDL1.2-devel libesound0-devel
%endif

%if %buildfor8_1
BuildRequires:	gcc-c++
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:  XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:  autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:  libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:  freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:  rpm-build 
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf2.5
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel libMesaGLU1 libbinutils2
BuildRequires:	libbzip2_1-devel libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng3-devel libqt2-devel
BuildRequires:	libtermcap2 m4 mktemp perl perl-MDK-Common popt
BuildRequires:	rpm-build texinfo zlib1
%endif

PreReq:		kdebase

%if %buildfor8_2
Obsoletes:	kdeartwork-static-devel
%endif


%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.


%package static-devel
Summary:	Static libraries for kdeartwork
Group:		Development/KDE and QT
PreReq:		%name = %version-%release

%description static-devel
Static libraries for kdeartwork


%prep

%setup  -q

%build
export QTDIR="/usr/lib/qt2"

%if %buildfor7_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --disable-xinerama \
		    --disable-mt \
	            --disable-rpath
%endif

%if %buildfor8_0
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif

%if %buildfor8_1
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif

%if %buildfor8_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath
%endif

%make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
%_libdir/b3style.la
%_libdir/ksgistyle.la
%_libdir/kstephighcolor.la
#
#
%_libdir/b3style.so
%_libdir/ksgistyle.so
%_libdir/kstephighcolor.so
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes/
%_datadir/apps/kstyle/themes/*.themerc
#
#
%dir %_datadir/apps/kwin/
%dir %_datadir/apps/kwin/icewm-themes/
%dir %_datadir/apps/kwin/icewm-themes/MenschMaschine/
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.theme
%_datadir/apps/kwin/icewm-themes/MenschMaschine/*.xpm
#
%dir %_datadir/apps/kwin/icewm-themes/Model/
%_datadir/apps/kwin/icewm-themes/Model/*.theme
%_datadir/apps/kwin/icewm-themes/Model/*.xpm
#
#
#
%dir %_datadir/sounds/
%_datadir/sounds/*.wav



%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
%files static-devel
%defattr(-,root,root,-)
%_libdir/b3style.a
%_libdir/ksgistyle.a
%_libdir/kstephighcolor.a
%endif



%changelog
* Mon Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-3mdk
- Disable debug on all supported distributions
- 8.2: don't build static libraries
- 8.2: disable objprelink

* Fri Dec 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- make rpmlint happy

* Wed Nov 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Thu Oct 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-2mdk
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>
- Rewrite %%configure steps
- 8.2: enable objprelink

* Thu Sep 18 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Sep 14 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-6mdk
- Add description

* Thu Sep 12 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-5mdk
- Fix group name

* Wed Sep 04 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-4mdk
- Add requires kdebase

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Rebuild with new kdelibs

* Thu Aug 16 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generated menu

* Mon Aug 06 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Tue Aug 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre 1

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Clean spec
- Rewrite %%files sections

* Tue Jun 02 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
